## irrlicht 1.8.0-maemo5

=== tests/Makefile ===
# Irrlicht Engine Regression Tests Makefile
Target = tests
Sources = $(wildcard *.cpp)

CPPFLAGS = -I../include -I/usr/X11R6/include -pipe
# CXXFLAGS += -O3
CXXFLAGS += -Wall -ansi -pedantic -O0 -g -D_DEBUG

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

all: all_linux

# target specific settings
all_linux: SYSTEM=Linux
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../lib/$(SYSTEM) -lIrrlicht -lGL -lXxf86vm -lXext -lX11 -lXcursor

all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32: LDFLAGS = -L../lib/$(SYSTEM) -lIrrlicht -lopengl32 -lm

all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../bin/$(SYSTEM)/$(Target)$(SUF)

OBJ = $(Sources:.cpp=.o)

all_linux all_win32: $(OBJ)
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $^ -o $(DESTPATH) $(LDFLAGS)
	@$(RM) tests	# otherwise it's easy to forget to copy it and run the old binary

clean: clean_linux clean_win32
	$(warning Cleaning...)
	@$(RM) $(OBJ)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

# Create dependency files for automatic recompilation
%.d:%.cpp
	$(CXX) $(CPPFLAGS) -MM -MF $@ $<

ifneq ($(MAKECMDGOALS),clean)
-include $(OBJ:.o=.d)
endif

=== examples/01.HelloWorld/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler

# Name of the executable created (.exe will be added automatically if necessary)
Target := 01.HelloWorld
# List of source files, separated by spaces
Sources := main.cpp
# Path to Irrlicht directory, should contain include/ and lib/
IrrlichtHome := ../..
# Path for the executable. Note that Irrlicht.dll should usually also be there for win32 systems
BinPath = ../../bin/$(SYSTEM)

# general compiler settings (might need to be set when compiling the lib, too)
# preprocessor flags, e.g. defines and include paths
USERCPPFLAGS = 
# compiler flags such as optimization flags
USERCXXFLAGS = -O3 -ffast-math
#USERCXXFLAGS = -g -Wall
# linker flags such as additional libraries and link paths
USERLDFLAGS =

####
#no changes necessary below this line
####

CPPFLAGS = -I$(IrrlichtHome)/include -I/usr/X11R6/include $(USERCPPFLAGS)
CXXFLAGS = $(USERCXXFLAGS)
LDFLAGS = $(USERLDFLAGS)

#default target is Linux
all: all_linux

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux all_win32 static_win32: LDFLAGS += -L$(IrrlichtHome)/lib/$(SYSTEM) -lIrrlicht
all_linux: LDFLAGS += $(OGLESLIBS) -L/usr/X11R6/lib$(LIBSELECT) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32 clean_win32 static_win32: SYSTEM=Win32-gcc
all_win32 clean_win32 static_win32: SUF=.exe
static_win32: CPPFLAGS += -D_IRR_STATIC_LIB_
all_win32: LDFLAGS += -lopengl32 -lm
static_win32: LDFLAGS += -lgdi32 -lwinspool -lcomdlg32 -lole32 -loleaut32 -luuid -lodbc32 -lodbccp32 -lopengl32
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = $(BinPath)/$(Target)$(SUF)

all_linux all_win32 static_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 static_win32 clean clean_linux clean_win32

#multilib handling
ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif
#solaris real-time features
ifeq ($(HOSTTYPE), sun4)
LDFLAGS += -lrt
endif

=== examples/02.Quake3Map/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 02.Quake3Map
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
#CXXFLAGS = -O3 -ffast-math
CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht
static_win32: LDFLAGS += -lgdi32 -lopengl32 -ld3dx9d -lwinmm -lm
static_win32: CPPFLAGS += -D_IRR_STATIC_LIB_
static_win32 all_win32 clean_win32: SYSTEM=Win32-gcc
static_win32 all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32 static_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32 static_win32

=== examples/03.CustomSceneNode/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 03.CustomSceneNode
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/04.Movement/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 04.Movement
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32: CPPFLAGS += -D__GNUWIN32__ -D_WIN32 -DWIN32 -D_WINDOWS -D_MBCS -D_USRDLL
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/05.UserInterface/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 05.UserInterface
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM

# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/06.2DGraphics/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 06.2DGraphics
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/07.Collision/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 07.Collision
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/08.SpecialFX/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 08.SpecialFX
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/09.Meshviewer/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 09.Meshviewer
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/10.Shaders/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 10.Shaders
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

=== examples/11.PerPixelLighting/Makefile ===
# Makefile for Irrlicht Examples
# It's usually sufficient to change just the target name and source file list
# and be sure that CXX is set to a valid compiler
Target = 11.PerPixelLighting
Sources = main.cpp

# general compiler settings
CPPFLAGS = -I../../include -I/usr/X11R6/include
CXXFLAGS = -O3 -ffast-math
#CXXFLAGS = -g -Wall

#default target is Linux
all: all_linux

ifeq ($(HOSTTYPE), x86_64)
LIBSELECT=64
endif

OGLESLIBS := -L$(HOME)/irrlicht/SDKPackage-ogles1/Builds/OGLES/LinuxPC/Lib -lGLES_CM
# target specific settings
all_linux: LDFLAGS = -L/usr/X11R6/lib$(LIBSELECT) -L../../lib/Linux -lIrrlicht $(OGLESLIBS) -lXxf86vm -lXext -lX11 -lXcursor
all_linux clean_linux: SYSTEM=Linux
all_win32: LDFLAGS = -L../../lib/Win32-gcc -lIrrlicht -lopengl32 -lm
all_win32 clean_win32: SYSTEM=Win32-gcc
all_win32 clean_win32: SUF=.exe
# name of the binary - only valid for targets which set SYSTEM
DESTPATH = ../../bin/$(SYSTEM)/$(Target)$(SUF)

all_linux all_win32:
	$(warning Building...)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(Sources) -o $(DESTPATH) $(LDFLAGS)

clean: clean_linux clean_win32
	$(warning Cleaning...)

clean_linux clean_win32:
	@$(RM) $(DESTPATH)

.PHONY: all all_win32 clean clean_linux clean_win32

## irrlicht 1.7.1+dfsg1

=== debian/changelog ===
irrlicht (1.7.1+dfsg1-1) unstable; urgency=low

  * New upstream release (LP: #525742)

 -- Christoph Egger <christoph@debian.org>  Thu, 11 Mar 2010 19:17:42 +0100

irrlicht (1.7+dfsg1-1) unstable; urgency=low

  * New Upstream Release
  * SoName bump, so rename the library
  * Update copyright information
  * Update repacking, killing newly embedded libbz2
  * Build with RTTI (Closes: #568247)
  * Update my E-Mail Address

 -- Christoph Egger <christoph@debian.org>  Wed, 03 Feb 2010 17:46:30 +0100

irrlicht (1.6+dfsg1-1) unstable; urgency=low

  * New upstream Version
    * This breaks ABI and API in quite some ways!
      * Change name of the library package to reflect new soname
    * Refresh patches
    * Update get-orig-source target, debian/copyright file
    * Needs mesa-common-dev >= 7.6 to build, reflected in build-deps
  * Add patch arch-support
    * Build with -fPIC instead of -fpic (Closes: #550349)
    * Remove assumption that every sparc is runnign solaris
    * Implement some real endian detection that gets triggered not only for
      sparcs using endian.h
    * Building on GNU/kFreeBSD and GNU/Hurd succedes if Linux joystick
      support is disabled, doing so there
  * call dh_link only with -plibirrlicht1.6, not with -a so the symlink is
    only present in one package (Closes: 549481)
  * Bump standards version (no changes)

 -- Christoph Egger <debian@christoph-egger.org>  Sat, 10 Oct 2009 23:47:15 +0200

irrlicht (1.5+dfsg1-1) unstable; urgency=low

  [ Christoph Egger ]
  * Initial release (Closes: #397255)

  [ Gonéri Le Bouder ]
  * clean the tarball up

 -- Christoph Egger <debian@christoph-egger.org>  Wed, 30 Sep 2009 01:29:49 +0200

=== debian/control ===
Source: irrlicht
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7),
  quilt,
  libjpeg62-dev,
  libpng12-dev,
  mesa-common-dev (>= 7.6),
  libglu1-mesa-dev,
  libsdl1.2-dev,
  libx11-dev,
  libxrandr-dev,
  x11proto-xf86vidmode-dev,
  libxxf86vm-dev,
  libbz2-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
Section: libs
Homepage: http://irrlicht.sf.net

Package: libirrlicht-dev
Section: libdevel
Architecture: any
Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
Suggests: irrlicht-doc
Description: High performance realtime 3D engine development library
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the development library.

Package: libirrlicht1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High performance realtime 3D engine
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.

Package: libirrlicht1.7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for irrlicht
 This package contains the debugging symbols associated with irrlicht.
 They will automatically be used by gdb for debugging irrlicht-related
 issues.

Package: libirrlicht-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: High performance realtime 3D engine (API documentation)
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


include /usr/share/quilt/quilt.make
-include /usr/share/topgit/tg2quilt.mk

# shared library versions, option 1
version=1.7.0
major=1.7
repackv=1

build-lib-%: $(QUILT_STAMPFN)
	dh_testdir

	mkdir -p lib/Linux

	CFLAGS="$(CFLAGS)" LFLAGS="$(LFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht $*

	touch $@

build-arch: build-lib-sharedlib build-lib-staticlib

build-indep: # build-doc

build: build-arch build-indep

#build-doc:
#	archmage doc/irrlicht.chm html
#	touch $@

get-orig-source:
	mkdir ../repack
	uscan --force-download --destdir ../repack --download-current-version
	( \
		cd ../repack ;\
		unzip * ;\
		cd irrlicht-$(major) ;\
		rm -rf source/Irrlicht/jpeglib ;\
		rm -rf source/Irrlicht/zlib ;\
		rm -rf source/Irrlicht/libpng ;\
		rm -rf source/Irrlicht/lzma ;\
		rm -rf source/Irrlicht/bzip2 ;\
		rm -rf source/Irrlicht/MacOSX ;\
		for i in glext.h glxext.h wglext.h ; do rm source/Irrlicht/$$i ; done ;\
		rm -rf bin ;\
		rm -rf media ;\
		rm -rf lib;\
		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
		( cd doc && svn export https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/trunk/scripts/doc/irrlicht/ ) ;\
		cd .. ;\
		GZIP="--best" tar -czf irrlicht_$(major)+dfsg$(repackv).orig.tar.gz irrlicht-$(major) ;\
		mv irrlicht_$(major)+dfsg$(repackv).orig.tar.gz .. ;\
	)
	rm -rf ../repack

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf html

	$(MAKE) -C source/Irrlicht clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -plibirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib

	$(MAKE) -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install


# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i changes.txt
	dh_installdocs -i
	dh_installexamples -i
	dh_compress -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a changes.txt
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_link -plibirrlicht$(major) usr/lib/libIrrlicht.so.$(version) usr/lib/libIrrlicht.so.$(major)
	dh_strip -a --dbg-package=libirrlicht$(major)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## irrlicht 1.7.2+dfsg1

=== debian/changelog ===
irrlicht (1.7.2+dfsg1-1ubuntu1) oneiric; urgency=low

  * Drop unknown linker options. Closes: #628282. LP: #771053.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Sep 2011 12:14:29 +0200

irrlicht (1.7.2+dfsg1-1) unstable; urgency=low

  * New upstream release (LP: #715700)
  * Debian specific new soname
  * Bump Policy version to 3.9.1 -- no changes

 -- Christoph Egger <christoph@debian.org>  Sun, 20 Feb 2011 14:38:31 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   x11proto-xf86vidmode-dev,
   libxxf86vm-dev,
   libbz2-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
 Section: libs
@@ -23,7 +23,7 @@
 Package: libirrlicht-dev
 Section: libdevel
 Architecture: any
-Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
 Suggests: irrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
@@ -33,7 +33,7 @@
  .
  This package contains the development library.
 
-Package: libirrlicht1.7
+Package: libirrlicht1.7a
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High performance realtime 3D engine
@@ -42,11 +42,11 @@
  and has all of the state-of-the-art features
  which can be found in commercial 3d engines.
 
-Package: libirrlicht1.7-dbg
+Package: libirrlicht1.7a-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libirrlicht1.7 (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for irrlicht
  This package contains the debugging symbols associated with irrlicht.
  They will automatically be used by gdb for debugging irrlicht-related

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 -include /usr/share/topgit/tg2quilt.mk
 
 # shared library versions, option 1
-version=1.7.0
-major=1.7
+version=1.7a.2
+major=1.7a
 repackv=1
 
 build-lib-%: $(QUILT_STAMPFN)
@@ -43,7 +43,7 @@
 	( \
 		cd ../repack ;\
 		unzip * ;\
-		cd irrlicht-$(major) ;\
+		cd irrlicht-$(version) ;\
 		rm -rf source/Irrlicht/jpeglib ;\
 		rm -rf source/Irrlicht/zlib ;\
 		rm -rf source/Irrlicht/libpng ;\
@@ -57,8 +57,8 @@
 		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
 		( cd doc && svn export https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/trunk/scripts/doc/irrlicht/ ) ;\
 		cd .. ;\
-		GZIP="--best" tar -czf irrlicht_$(major)+dfsg$(repackv).orig.tar.gz irrlicht-$(major) ;\
-		mv irrlicht_$(major)+dfsg$(repackv).orig.tar.gz .. ;\
+		GZIP="--best" tar -czf irrlicht_$(version)+dfsg$(repackv).orig.tar.gz irrlicht-$(version) ;\
+		mv irrlicht_$(version)+dfsg$(repackv).orig.tar.gz .. ;\
 	)
 	rm -rf ../repack

## irrlicht 1.7.3+dfsg1

=== debian/changelog ===
irrlicht (1.7.3+dfsg1-4) unstable; urgency=medium

  * Add debian/patches/soname-fixes.diff to fix soname issues (soname isn't
    supposed to change), add corresponding shlibs file. (Closes: #675929)
  * Remove lintian override.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 04 Jun 2012 01:13:59 -0700

irrlicht (1.7.3+dfsg1-3) unstable; urgency=low

  * Add debian/patches/fix-hurd-ftbfs.patch to fix FTBFS on hurd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 29 May 2012 21:44:50 -0700

irrlicht (1.7.3+dfsg1-2) unstable; urgency=low

  * Convert to multi-arch.
  * Fix suggests on irrlicht-doc -> libirrlicht-doc.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 24 May 2012 01:15:51 -0700

irrlicht (1.7.3+dfsg1-1) unstable; urgency=low

  * Acknowledge NMU; thanks to Didier Raboud and Matthias Klose for their work.
  * New upstream release.
  * Add myself to Uploaders.
  * Add build-depends on doxygen-latex.
    - Build doc during package build instead of shipping in orig tarball.
  * Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662380)
  * Add patch libpng15-support.diff to fix FTBFS against libpng 1.5.
    (Closes: #649947)
  * Drop patch linker-options.diff; applied upstream.
  * Remove explicit build-dep on quilt.
  * Switch to dh 7 "rules.tiny" style debian/rules.
  * Disable debug build (build with NDEBUG="true").
  * Bump standards version to 3.9.3, no changes required.
  * Bump dh compat level to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 02 May 2012 21:23:05 -0700

irrlicht (1.7.2+dfsg1-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Didier Raboud ]
  * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #634032)
  * Import Ubuntu patch to fix build with recent compilers

  [ Ubuntu: Matthias Klose ]
  * Drop unknown linker options (Closes: #628282. LP: #771053)

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 17:14:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: irrlicht
+Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>= 7),
-  quilt,
-  libjpeg62-dev,
-  libpng12-dev,
-  mesa-common-dev (>= 7.6),
-  libglu1-mesa-dev,
-  libsdl1.2-dev,
-  libx11-dev,
-  libxrandr-dev,
-  x11proto-xf86vidmode-dev,
-  libxxf86vm-dev,
-  libbz2-dev
-Standards-Version: 3.9.1
+Uploaders:
+ Christoph Egger <christoph@debian.org>,
+ Vincent Cheng <Vincentc1208@gmail.com>
+Build-Depends:
+ debhelper (>= 9),
+ doxygen-latex,
+ libbz2-dev,
+ libglu1-mesa-dev,
+ libjpeg-dev,
+ libpng-dev,
+ libsdl1.2-dev,
+ libx11-dev,
+ libxrandr-dev,
+ libxxf86vm-dev,
+ mesa-common-dev (>= 7.6),
+ x11proto-xf86vidmode-dev
+Standards-Version: 3.9.3
+Homepage: http://irrlicht.sf.net
 Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
-Section: libs
-Homepage: http://irrlicht.sf.net
 
 Package: libirrlicht-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
-Suggests: irrlicht-doc
+Suggests: libirrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
  It has support for OpenGL and its own software renderer,
@@ -35,7 +39,9 @@
 
 Package: libirrlicht1.7a
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High performance realtime 3D engine
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
  It has support for OpenGL and its own software renderer,
@@ -46,6 +52,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for irrlicht
  This package contains the debugging symbols associated with irrlicht.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/topgit/tg2quilt.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# shared library versions, option 1
upstream_version=1.7.3
version=1.7a.3
major=1.7a
repackv=1

%:
	dh $@

override_dh_clean:
	# clean documentation
	rm -rf doctemp
	rm -rf doc/html
	rm -rf doc/latex
	
	# clean everything else
	$(MAKE) -C source/Irrlicht clean
	
	dh_clean

override_dh_auto_build:
	mkdir -p lib/Linux
	
	# build irrlicht shared and static lib
	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht sharedlib
	NDEBUG="true" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" $(MAKE) -C source/Irrlicht staticlib
	
	# build documentation
	cd scripts/doc/irrlicht && sh makedocumentation.sh
	mv doctemp/* doc/

override_dh_installdirs:
	dh_installdirs -plibirrlicht-dev -Pdebian/tmp usr/include/irrlicht \
	usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	$(MAKE) -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp \
	INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) install

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_link:
	dh_link -plibirrlicht$(major) \
	usr/lib/$(DEB_HOST_MULTIARCH)/libIrrlicht.so.$(version) \
	usr/lib/$(DEB_HOST_MULTIARCH)/libIrrlicht.so.$(major)

override_dh_strip:
	dh_strip --dbg-package=libirrlicht$(major)-dbg

get-orig-source:
	mkdir ../repack
	uscan --force-download --destdir ../repack --download-current-version
	( \
		cd ../repack ;\
		unzip * ;\
		cd irrlicht-$(upstream_version) ;\
		rm -rf source/Irrlicht/jpeglib ;\
		rm -rf source/Irrlicht/zlib ;\
		rm -rf source/Irrlicht/libpng ;\
		rm -rf source/Irrlicht/lzma ;\
		rm -rf source/Irrlicht/bzip2 ;\
		rm -rf source/Irrlicht/MacOSX ;\
		for i in glext.h glxext.h wglext.h ; do rm source/Irrlicht/$$i ; done ;\
		rm -rf bin ;\
		rm -rf media ;\
		rm -rf lib;\
		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
		cd .. ;\
		GZIP="--best" tar -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
		mv irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz .. ;\
	)
	rm -rf ../repack

## irrlicht 1.8+dfsg1

=== debian/changelog ===
irrlicht (1.8+dfsg1-2) unstable; urgency=low

  * Upload to unstable.
  * Update Standards version to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 05 May 2013 09:15:14 -0700

irrlicht (1.8+dfsg1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.
    - New soname, change package names in debian/control accordingly.
    - Remove unneeded patches: correct-install.diff, remove-svn-soname.diff,
      libpng15-support.diff, soname-fixes.diff.
    - Refresh remaining patches.
  * Add explicit build-depends on zlib1g-dev.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 08 Nov 2012 21:11:09 -0800

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
  libxrandr-dev,
  libxxf86vm-dev,
  mesa-common-dev (>= 7.6),
- x11proto-xf86vidmode-dev
-Standards-Version: 3.9.3
+ x11proto-xf86vidmode-dev,
+ zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://irrlicht.sf.net
 Vcs-Git: git://git.debian.org/git/pkg-games/irrlicht.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/irrlicht.git
@@ -27,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
 Suggests: libirrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
@@ -37,7 +38,7 @@
  .
  This package contains the development library.
 
-Package: libirrlicht1.7a
+Package: libirrlicht1.8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -48,12 +49,12 @@
  and has all of the state-of-the-art features
  which can be found in commercial 3d engines.
 
-Package: libirrlicht1.7a-dbg
+Package: libirrlicht1.8-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libirrlicht1.7a (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for irrlicht
  This package contains the debugging symbols associated with irrlicht.
  They will automatically be used by gdb for debugging irrlicht-related

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # shared library versions, option 1
-upstream_version=1.7.3
-version=1.7a.3
-major=1.7a
+upstream_version=1.8
+version=1.8.0
+major=1.8
 repackv=1
 
 %:
@@ -59,11 +59,13 @@
 	dh_strip --dbg-package=libirrlicht$(major)-dbg
 
 get-orig-source:
-	mkdir ../repack
+	# Note: scripts/ directory seems to be missing from upstream zip, so download from:
+	# https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/
+	mkdir -p ../repack
 	uscan --force-download --destdir ../repack --download-current-version
 	( \
 		cd ../repack ;\
-		unzip * ;\
+		unzip irrlicht-$(upstream_version).zip ;\
 		cd irrlicht-$(upstream_version) ;\
 		rm -rf source/Irrlicht/jpeglib ;\
 		rm -rf source/Irrlicht/zlib ;\
@@ -71,11 +73,16 @@
 		rm -rf source/Irrlicht/lzma ;\
 		rm -rf source/Irrlicht/bzip2 ;\
 		rm -rf source/Irrlicht/MacOSX ;\
-		for i in glext.h glxext.h wglext.h ; do rm source/Irrlicht/$$i ; done ;\
+		rm -f source/Irrlicht/glext.h ;\
+		rm -f source/Irrlicht/glxext.h ;\
+		rm -f source/Irrlicht/wglext.h ;\
 		rm -rf bin ;\
 		rm -rf media ;\
-		rm -rf lib;\
-		find . \( -name \*.exe -o -name \*.dll \) -exec rm {} \; ;\
+		rm -rf lib ;\
+		rm -rf doc/html ;\
+		svn co https://irrlicht.svn.sourceforge.net/svnroot/irrlicht/branches/releases/1.7/scripts/ scripts ;\
+		find . -name .svn -exec rm -rf {} \; ;\
+		find . \( -name \*.exe -o -name \*.dll \) -exec rm -f {} \; ;\
 		cd .. ;\
 		GZIP="--best" tar -czf irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz irrlicht-$(upstream_version) ;\
 		mv irrlicht_$(upstream_version)+dfsg$(repackv).orig.tar.gz .. ;\

## irrlicht 1.8.0-maemo1

=== debian/changelog ===
irrlicht (1.8.0-maemo1) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 13 May 2012 13:46:47 +0200

=== debian/control ===
Source: irrlicht
Priority: extra
Section: libs
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), quilt, libpng12-dev, libx11-dev, libbz2-dev, opengles-sgx-img-common-dev,libgles2-sgx-img-dev, libxext-dev, libxcursor-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:nicolaihess@web.de

Package: irrlicht1.8.0-dev
Architecture: armel
Section: libdevel
Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
Description: Development library for the Irrlicht Engine
 This is the development package for developers using
 the Irrlicht Engine.

Package: irrlicht1.8.0
Architecture: armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free and open source 3D engine
 Irrlicht is a fast realtime 3D engine written in
 C++ and supports OpenGLES 2.0

Package: irrlicht1.8.0-examples
Architecture: armel
Section: libs
Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
Description: Demoapplications for the Irrlicht Engine
 These are some Demo Application from the Irrlicht 
 project. Not all examples are working on this platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
include /usr/share/quilt/quilt.make
-include /usr/share/topgit/tg2quilt.mk



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-examples: $(QUILT_STAMPFN)
	dh_testdir
	mkdir -p bin/Linux
	$(MAKE) MAEMO=1 -C examples

build-lib-%: $(QUILT_STAMPFN)
	dh_testdir
	mkdir -p lib/Linux
	$(MAKE) MAEMO=1 -C source/Irrlicht $*

build: build-arch build-indep

build-arch: build-lib-sharedlib build-lib-staticlib build-examples
build-indep: # build-doc

clean: unpatch
	dh_testdir
	dh_testroot
	$(MAKE) MAEMO=1 -C source/Irrlicht clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib

	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
	$(MAKE) -C media DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/media install

# Build architecture independant packages using the common target.
binary-indep: build install


# Build architecture dependant packages using the common target.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a changes.txt
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## irrlicht 1.8.0-maemo2

=== debian/changelog ===
irrlicht (1.8.0-maemo2) unstable; urgency=low

  * correct package contents.

 -- Nicolai Hess <nicolaihess@web.de>  Thu, 17 May 2012 18:52:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 include /usr/share/quilt/quilt.make
 -include /usr/share/topgit/tg2quilt.mk
 
-
+version=1.8.0
+version=1.8
 
 CFLAGS = -Wall -g

## irrlicht 1.8.0-maemo3

=== debian/changelog ===
irrlicht (1.8.0-maemo3) unstable; urgency=low

  * yet another packaging issue

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 18 May 2012 00:20:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib
-
+	dh_installdirs -pirrlicht-examples -Pdebian/tmp opt/irrlicht/media opt/irrlicht/examples/bin 
 	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
 	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
 	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
@@ -78,7 +78,8 @@
 	dh_compress 
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps
+	dh_makeshlibs
+	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/tmp/usr/lib 
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## irrlicht 1.8.0-maemo4

=== debian/changelog ===
irrlicht (1.8.0-maemo4) unstable; urgency=low

  * fixed library strippingZ

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 18 May 2012 22:31:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib
 	dh_installdirs -pirrlicht-examples -Pdebian/tmp opt/irrlicht/media opt/irrlicht/examples/bin 
 	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
+	dh_strip
 	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
 	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
 	$(MAKE) -C media DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/media install
@@ -79,7 +80,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_makeshlibs
-	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/tmp/usr/lib 
+	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/irrlicht1.8.0/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## irrlicht 1.8.0-maemo5

=== debian/changelog ===
irrlicht (1.8.0-maemo5) unstable; urgency=low

  * next try :-(

 -- Nicolai Hess <nicolaihess@web.de>  Sat, 19 May 2012 00:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:nicolaihess@web.de
 
-Package: irrlicht1.8.0-dev
+Package: irrlicht-dev
 Architecture: armel
 Section: libdevel
 Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}
@@ -22,7 +22,7 @@
  Irrlicht is a fast realtime 3D engine written in
  C++ and supports OpenGLES 2.0
 
-Package: irrlicht1.8.0-examples
+Package: irrlicht-examples
 Architecture: armel
 Section: libs
 Depends: irrlicht1.8.0 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	dh_installdirs -pirrlicht-dev -Pdebian/tmp usr/include/irrlicht usr/lib
 	dh_installdirs -pirrlicht-examples -Pdebian/tmp opt/irrlicht/media opt/irrlicht/examples/bin 
 	$(MAKE) MAEMO=1 -C source/Irrlicht DESTDIR=$(CURDIR)/debian/tmp INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib install
-	dh_strip
 	$(MAKE) -C media/Shaders DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/Shaders install
 	$(MAKE) MAEMO=1 -C examples INSTALL_DIR=$(CURDIR)/debian/tmp/opt/irrlicht/examples/bin install
 	$(MAKE) -C media DESTDIR=$(CURDIR)/debian/tmp/opt/irrlicht/media install
@@ -75,12 +74,11 @@
 	dh_installexamples
 	dh_install --sourcedir=debian/tmp
 	dh_link
-	dh_strip
 	dh_compress 
 	dh_fixperms
 	dh_installdeb
 	dh_makeshlibs
-	dh_shlibdeps -Lirrlicht1.8.0 -l${PWD}/debian/irrlicht1.8.0/usr/lib
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
